SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Web Browser)  >   Google Chrome Vendors:   Google
Google Chrome Multiple Flaws Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1027098
SecurityTracker URL:  http://securitytracker.com/id/1027098
CVE Reference:   CVE-2011-3103, CVE-2011-3104, CVE-2011-3105, CVE-2011-3106, CVE-2011-3107, CVE-2011-3108, CVE-2011-3109, CVE-2011-3110, CVE-2011-3111, CVE-2011-3112, CVE-2011-3113, CVE-2011-3114, CVE-2011-3115   (Links to External Site)
Date:  May 24 2012
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 19.0.1084.52
Description:   Multiple vulnerabilities were reported in Google Chrome. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create specially crafted content that, when loaded by the target user, will execute arbitrary code on the target system. The code will run with the privileges of the target user.

v8 garbage collection processes may crash [CVE-2011-3103]. The Chromium development community (Brett Wilson) reported this vulnerability.

An out-of-bounds memory read in Skia may occur [CVE-2011-3104]. Google Chrome Security Team (Inferno) reported this vulnerability.

A use-after-free may occur in first-letter handling [CVE-2011-3105]. miaubiz reported this vulnerability.

A memory corruption error may occur with websockets running over SSL [CVE-2011-3106]. The Chromium development community (Dharani Govindan) reported this vulnerability.

Crashes may occur in the plug-in JavaScript bindings [CVE-2011-3107]. Chromium development community (Dharani Govindan) reported this vulnerability.

A use-after-free may occur in the browser cache [CVE-2011-3108]. "efbiaiinzinz" reported this vulnerability.

A bad cast may occur in the GTK user interface on Linux-based systems [CVE-2011-3109]. Micha Bartholome reported this vulnerability.

An out-of-bounds memory write may occur in some PDF functions [CVE-2011-3110]. Mateusz Jurczyk of the Google Security Team and Gynvael Coldwind of the Google Security Team reported this vulnerability.

An invalid memory read error may occur in the v8 engine [CVE-2011-3111]. Christian Holler reported this vulnerability.

A use-after-free may occur when processing an invalid encrypted PDF file [CVE-2011-3112]. Mateusz Jurczyk of the Google Security Team and Gynvael Coldwind of the Google Security Team reported this vulnerability.

An invalid cast may occur in colorspace handling in some PDF functions [CVE-2011-3113]. Mateusz Jurczyk of the Google Security Team and Gynvael Coldwind of the Google Security Team reported this vulnerability.

Some buffer overflows may occur in PDF functions [CVE-2011-3114]. The Google Chrome Security Team (scarybeasts) reported this vulnerability.

A type corruption error may occur in the v8 engine [CVE-2011-3115]. Christian Holler reported this vulnerability.

Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   The vendor has issued a fix (19.0.1084.52).

The vendor's advisory is available at:

http://googlechromereleases.blogspot.com/2012/05/stable-channel-update_23.html

Vendor URL:  googlechromereleases.blogspot.com/2012/05/stable-channel-update_23.html (Links to External Site)
Cause:   Access control error, Boundary error
Underlying OS:   Linux (Any), UNIX (OS X), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC